### Method

# Gtk InfoBar add_button

deprecated: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_info_bar_add_button (
      GtkInfoBar* info_bar,
      const char* button_text,
      int response_id
    )

#### Description [src]

Adds a button with the given text.

Clicking the button will emit the `GtkInfoBar::response` signal with the given response_id. The button is appended to the end of the info bar’s action area. The button widget is returned, but usually you don’t need it.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`button_text`

  Type: `const char*`

  Text of button.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`response_id`

  Type: `int`

  Response ID for the button.

#### Return value

Type: `GtkButton`

The `GtkButton` widget that was added.

The data is owned by the instance.